/* --COPYRIGHT--,BSD
 * Copyright (c) 2016, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/


// Generated by Captivate Design Center v1_20_00_01 on Fri Aug 26 15:42:44 CST 2016


//*****************************************************************************
// CAPT_UserConfig.c
//
// \version 1.03.02.00
// Released on Wed, Feb 24, 2016  2:01:17 PM
//
//*****************************************************************************

//*****************************************************************************
//
// NOTE: This is an automatically generated source code file!  The Captivate
// Design Center generates the User Configuration file automatically based
// upon the sensor layout that was created.
//
// Changes to this file will be OVERWRITTEN if a you select
// "Update Existing Project" under "Generate Source Code" in the Design Center.
//
// To avoid interference with the code generation process, keep ALL application
// code external to this file.
//
//*****************************************************************************

#include "CAPT_UserConfig.h"

//*****************************************************************************
//
//! Captivate Element Definitions
//! All elements in this application are defined below.
//! Each element has 3 components:
//!  1) a raw count array (One index per freq. scanned) (uint16_t)
//!  2) a tuning array (One index per freq. scanned) (tCaptivateElementTuning)
//!  3) a element structure (tElement)
//
//*****************************************************************************
// Sensor: Buttons, Element: E00
uint16_t Buttons_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E00 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E00_RawCnts,
    .pTuning = Buttons_E00_Tuning,
};

// Sensor: Buttons, Element: E01
uint16_t Buttons_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E01 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E01_RawCnts,
    .pTuning = Buttons_E01_Tuning,
};

// Sensor: Buttons, Element: E02
uint16_t Buttons_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E02 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E02_RawCnts,
    .pTuning = Buttons_E02_Tuning,
};

// Sensor: Buttons, Element: E03
uint16_t Buttons_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E03 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E03_RawCnts,
    .pTuning = Buttons_E03_Tuning,
};

// Sensor: Buttons, Element: E04
uint16_t Buttons_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E04 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E04_RawCnts,
    .pTuning = Buttons_E04_Tuning,
};

// Sensor: Buttons, Element: E05
uint16_t Buttons_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E05 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E05_RawCnts,
    .pTuning = Buttons_E05_Tuning,
};

// Sensor: Buttons, Element: E06
uint16_t Buttons_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E06 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E06_RawCnts,
    .pTuning = Buttons_E06_Tuning,
};

// Sensor: Buttons, Element: E07
uint16_t Buttons_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Buttons_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Buttons_E07 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 30,
    .pRawCount = Buttons_E07_RawCnts,
    .pTuning = Buttons_E07_Tuning,
};

// Sensor: CentralPad, Element: E00
uint16_t CentralPad_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E00 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E00_RawCnts,
    .pTuning = CentralPad_E00_Tuning,
};

// Sensor: CentralPad, Element: E01
uint16_t CentralPad_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E01 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E01_RawCnts,
    .pTuning = CentralPad_E01_Tuning,
};

// Sensor: CentralPad, Element: E02
uint16_t CentralPad_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E02 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E02_RawCnts,
    .pTuning = CentralPad_E02_Tuning,
};

// Sensor: CentralPad, Element: E03
uint16_t CentralPad_E03_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E03_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E03 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E03_RawCnts,
    .pTuning = CentralPad_E03_Tuning,
};

// Sensor: CentralPad, Element: E04
uint16_t CentralPad_E04_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E04_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E04 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 0,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E04_RawCnts,
    .pTuning = CentralPad_E04_Tuning,
};

// Sensor: CentralPad, Element: E05
uint16_t CentralPad_E05_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E05_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E05 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 1,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E05_RawCnts,
    .pTuning = CentralPad_E05_Tuning,
};

// Sensor: CentralPad, Element: E06
uint16_t CentralPad_E06_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E06_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E06 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E06_RawCnts,
    .pTuning = CentralPad_E06_Tuning,
};

// Sensor: CentralPad, Element: E07
uint16_t CentralPad_E07_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E07_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E07 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E07_RawCnts,
    .pTuning = CentralPad_E07_Tuning,
};

// Sensor: CentralPad, Element: E08
uint16_t CentralPad_E08_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E08_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E08 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E08_RawCnts,
    .pTuning = CentralPad_E08_Tuning,
};

// Sensor: CentralPad, Element: E09
uint16_t CentralPad_E09_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E09_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E09 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 1,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E09_RawCnts,
    .pTuning = CentralPad_E09_Tuning,
};

// Sensor: CentralPad, Element: E10
uint16_t CentralPad_E10_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E10_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E10 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E10_RawCnts,
    .pTuning = CentralPad_E10_Tuning,
};

// Sensor: CentralPad, Element: E11
uint16_t CentralPad_E11_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E11_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E11 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E11_RawCnts,
    .pTuning = CentralPad_E11_Tuning,
};

// Sensor: CentralPad, Element: E12
uint16_t CentralPad_E12_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E12_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E12 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E12_RawCnts,
    .pTuning = CentralPad_E12_Tuning,
};

// Sensor: CentralPad, Element: E13
uint16_t CentralPad_E13_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E13_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E13 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E13_RawCnts,
    .pTuning = CentralPad_E13_Tuning,
};

// Sensor: CentralPad, Element: E14
uint16_t CentralPad_E14_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E14_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E14 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E14_RawCnts,
    .pTuning = CentralPad_E14_Tuning,
};

// Sensor: CentralPad, Element: E15
uint16_t CentralPad_E15_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E15_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E15 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E15_RawCnts,
    .pTuning = CentralPad_E15_Tuning,
};

// Sensor: CentralPad, Element: E16
uint16_t CentralPad_E16_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E16_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E16 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E16_RawCnts,
    .pTuning = CentralPad_E16_Tuning,
};

// Sensor: CentralPad, Element: E17
uint16_t CentralPad_E17_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E17_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E17 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E17_RawCnts,
    .pTuning = CentralPad_E17_Tuning,
};

// Sensor: CentralPad, Element: E18
uint16_t CentralPad_E18_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E18_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E18 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E18_RawCnts,
    .pTuning = CentralPad_E18_Tuning,
};

// Sensor: CentralPad, Element: E19
uint16_t CentralPad_E19_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E19_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E19 =
{
    .ui8TxPin = 2,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E19_RawCnts,
    .pTuning = CentralPad_E19_Tuning,
};

// Sensor: CentralPad, Element: E20
uint16_t CentralPad_E20_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E20_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E20 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 0,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E20_RawCnts,
    .pTuning = CentralPad_E20_Tuning,
};

// Sensor: CentralPad, Element: E21
uint16_t CentralPad_E21_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E21_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E21 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E21_RawCnts,
    .pTuning = CentralPad_E21_Tuning,
};

// Sensor: CentralPad, Element: E22
uint16_t CentralPad_E22_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E22_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E22 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E22_RawCnts,
    .pTuning = CentralPad_E22_Tuning,
};

// Sensor: CentralPad, Element: E23
uint16_t CentralPad_E23_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E23_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E23 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E23_RawCnts,
    .pTuning = CentralPad_E23_Tuning,
};

// Sensor: CentralPad, Element: E24
uint16_t CentralPad_E24_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning CentralPad_E24_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement CentralPad_E24 =
{
    .ui8TxPin = 3,
    .ui8TxBlock = 2,
    .ui8RxPin = 1,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 10,
    .pRawCount = CentralPad_E24_RawCnts,
    .pTuning = CentralPad_E24_Tuning,
};

// Sensor: ProxPad, Element: E00
uint16_t ProxPad_E00_RawCnts[CAPT_SELF_FREQ_CNT];
tCaptivateElementTuning ProxPad_E00_Tuning[CAPT_SELF_FREQ_CNT];
tElement ProxPad_E00 =
{
    .ui8RxPin = 3,
    .ui8RxBlock = 3,
    .ui8TouchThreshold = 20,
    .pRawCount = ProxPad_E00_RawCnts,
    .pTuning = ProxPad_E00_Tuning,
};

// Sensor: Slider, Element: E00
uint16_t Slider_E00_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Slider_E00_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Slider_E00 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 0,
    .ui8TouchThreshold = 10,
    .pRawCount = Slider_E00_RawCnts,
    .pTuning = Slider_E00_Tuning,
};

// Sensor: Slider, Element: E01
uint16_t Slider_E01_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Slider_E01_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Slider_E01 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 1,
    .ui8TouchThreshold = 10,
    .pRawCount = Slider_E01_RawCnts,
    .pTuning = Slider_E01_Tuning,
};

// Sensor: Slider, Element: E02
uint16_t Slider_E02_RawCnts[CAPT_MUTUAL_FREQ_CNT];
tCaptivateElementTuning Slider_E02_Tuning[CAPT_MUTUAL_FREQ_CNT];
tElement Slider_E02 =
{
    .ui8TxPin = 0,
    .ui8TxBlock = 3,
    .ui8RxPin = 1,
    .ui8RxBlock = 2,
    .ui8TouchThreshold = 10,
    .pRawCount = Slider_E02_RawCnts,
    .pTuning = Slider_E02_Tuning,
};


//*****************************************************************************
//
//! Captivate Time Cycle Definitions
//! All time cycles in this application are defined below.  Time cycles are
//! groups of elements that are measured together in parallel in one time slot.
//! Each cycle has 2 components:
//!  1) an element pointer array to the member elements (tElement*)
//!  2) a cycle structure (tCycle)
//
//*****************************************************************************
// Time Cycle: Buttons_C00
tElement* Buttons_C00_Elements[4] =
{
    &Buttons_E00,
    &Buttons_E01,
    &Buttons_E02,
    &Buttons_E03,
};
tCycle Buttons_C00 =
{
    .ui8NrOfElements = 4,
    .pElements = Buttons_C00_Elements,
};

// Time Cycle: Buttons_C01
tElement* Buttons_C01_Elements[4] =
{
    &Buttons_E04,
    &Buttons_E05,
    &Buttons_E06,
    &Buttons_E07,
};
tCycle Buttons_C01 =
{
    .ui8NrOfElements = 4,
    .pElements = Buttons_C01_Elements,
};

// Time Cycle: CentralPad_C00
tElement* CentralPad_C00_Elements[1] =
{
    &CentralPad_E00,
};
tCycle CentralPad_C00 =
{
    .ui8NrOfElements = 1,
    .pElements = CentralPad_C00_Elements,
};

// Time Cycle: CentralPad_C01
tElement* CentralPad_C01_Elements[4] =
{
    &CentralPad_E01,
    &CentralPad_E02,
    &CentralPad_E03,
    &CentralPad_E04,
};
tCycle CentralPad_C01 =
{
    .ui8NrOfElements = 4,
    .pElements = CentralPad_C01_Elements,
};

// Time Cycle: CentralPad_C02
tElement* CentralPad_C02_Elements[1] =
{
    &CentralPad_E05,
};
tCycle CentralPad_C02 =
{
    .ui8NrOfElements = 1,
    .pElements = CentralPad_C02_Elements,
};

// Time Cycle: CentralPad_C03
tElement* CentralPad_C03_Elements[4] =
{
    &CentralPad_E06,
    &CentralPad_E07,
    &CentralPad_E08,
    &CentralPad_E09,
};
tCycle CentralPad_C03 =
{
    .ui8NrOfElements = 4,
    .pElements = CentralPad_C03_Elements,
};

// Time Cycle: CentralPad_C04
tElement* CentralPad_C04_Elements[1] =
{
    &CentralPad_E10,
};
tCycle CentralPad_C04 =
{
    .ui8NrOfElements = 1,
    .pElements = CentralPad_C04_Elements,
};

// Time Cycle: CentralPad_C05
tElement* CentralPad_C05_Elements[4] =
{
    &CentralPad_E11,
    &CentralPad_E12,
    &CentralPad_E13,
    &CentralPad_E14,
};
tCycle CentralPad_C05 =
{
    .ui8NrOfElements = 4,
    .pElements = CentralPad_C05_Elements,
};

// Time Cycle: CentralPad_C06
tElement* CentralPad_C06_Elements[1] =
{
    &CentralPad_E15,
};
tCycle CentralPad_C06 =
{
    .ui8NrOfElements = 1,
    .pElements = CentralPad_C06_Elements,
};

// Time Cycle: CentralPad_C07
tElement* CentralPad_C07_Elements[4] =
{
    &CentralPad_E16,
    &CentralPad_E17,
    &CentralPad_E18,
    &CentralPad_E19,
};
tCycle CentralPad_C07 =
{
    .ui8NrOfElements = 4,
    .pElements = CentralPad_C07_Elements,
};

// Time Cycle: CentralPad_C08
tElement* CentralPad_C08_Elements[1] =
{
    &CentralPad_E20,
};
tCycle CentralPad_C08 =
{
    .ui8NrOfElements = 1,
    .pElements = CentralPad_C08_Elements,
};

// Time Cycle: CentralPad_C09
tElement* CentralPad_C09_Elements[4] =
{
    &CentralPad_E21,
    &CentralPad_E22,
    &CentralPad_E23,
    &CentralPad_E24,
};
tCycle CentralPad_C09 =
{
    .ui8NrOfElements = 4,
    .pElements = CentralPad_C09_Elements,
};

// Time Cycle: ProxPad_C00
tElement* ProxPad_C00_Elements[1] =
{
    &ProxPad_E00,
};
tCycle ProxPad_C00 =
{
    .ui8NrOfElements = 1,
    .pElements = ProxPad_C00_Elements,
};

// Time Cycle: Slider_C00
tElement* Slider_C00_Elements[3] =
{
    &Slider_E00,
    &Slider_E01,
    &Slider_E02,
};
tCycle Slider_C00 =
{
    .ui8NrOfElements = 3,
    .pElements = Slider_C00_Elements,
};


//*****************************************************************************
//
//! Captivate Sensor Definitions
//! All sensors in this application are defined below.  Sensors are
//! groups of time cycles that utilize raw measurement data to create an
//! abstract sensor type, such as a button, slider, wheel, or prox sensor.
//! Each sensor has 3 components:
//!  1) a cycle pointer array to the member time cycles (tCycle*)
//!  2) a sensor-specific parameter structure (tGenericSensorParams)
//!  3) a sensor structure (tSensor)
//
//*****************************************************************************
//Sensor: Buttons
const tCycle* Buttons_Cycles[2] =
{
    &Buttons_C00,
    &Buttons_C01,
};

tButtonSensorParams Buttons_Params;
tSensor Buttons =
{
    // Basic Properties
    .TypeOfSensor = eButtonGroup,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 2,
    .pCycle = Buttons_Cycles,
    .pSensorParams = (tGenericSensorParams*)&Buttons_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 500,
    .ui16ConversionGain = 200,
    .ui8FreqDiv = 2,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 10,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 1000,
    .ProxDbThreshold.DbIn = 1,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = true,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = false,
};

//Sensor: CentralPad
const tCycle* CentralPad_Cycles[10] =
{
    &CentralPad_C00,
    &CentralPad_C01,
    &CentralPad_C02,
    &CentralPad_C03,
    &CentralPad_C04,
    &CentralPad_C05,
    &CentralPad_C06,
    &CentralPad_C07,
    &CentralPad_C08,
    &CentralPad_C09,
};

tButtonSensorParams CentralPad_Params;
tSensor CentralPad =
{
    // Basic Properties
    .TypeOfSensor = eButtonGroup,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 10,
    .pCycle = CentralPad_Cycles,
    .pSensorParams = (tGenericSensorParams*)&CentralPad_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 500,
    .ui16ConversionGain = 200,
    .ui8FreqDiv = 0,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 10,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 1000,
    .ProxDbThreshold.DbIn = 1,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = true,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = false,
};

//Sensor: ProxPad
const tCycle* ProxPad_Cycles[1] =
{
    &ProxPad_C00,
};

tProxSensorParams ProxPad_Params =
{
    .pSensor = NULL,
    .ui8NumberOfSensors = 0,
};

tSensor ProxPad =
{
    // Basic Properties
    .TypeOfSensor = eProx,
    .SensingMethod = eSelf,
    .DirectionOfInterest = eDOIDown,
    .pvCallback = NULL,
    .ui8NrOfCycles = 1,
    .pCycle = ProxPad_Cycles,
    .pSensorParams = (tGenericSensorParams*)&ProxPad_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 700,
    .ui16ConversionGain = 100,
    .ui8FreqDiv = 2,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 15,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 65535,
    .ProxDbThreshold.DbIn = 15,
    .ProxDbThreshold.DbOut = 15,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 5,
    .bCountFilterEnable = true,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = false,
};

//Sensor: Slider
const tCycle* aSlider_Cycles[1] =
{
    &Slider_C00,
};

tSliderSensorParams aSlider_Params =
{
    .ui8TotalElements = 3,
    .ui16Resolution = 100,
    .SliderBeta = 100,
    .SliderLower = 0,
    .SliderUpper = 99,
    .SliderAlgorithm = eVectors,
    .SliderFilterEnable = true,
};

tSensor aSlider =
{
    // Basic Properties
    .TypeOfSensor = eSlider,
    .SensingMethod = eProjected,
    .DirectionOfInterest = eDOIUp,
    .pvCallback = NULL,
    .ui8NrOfCycles = 1,
    .pCycle = aSlider_Cycles,
    .pSensorParams = (tGenericSensorParams*)&aSlider_Params,
    // Conversion Control Parameters
    .ui16ConversionCount = 500,
    .ui16ConversionGain = 200,
    .ui8FreqDiv = 2,
    .ui8ChargeLength = 0,
    .ui8TransferLength = 0,
    .bModEnable = false,
    .ui8BiasControl = 3,
    .bCsDischarge = true,
    .bLpmControl = false,
    .ui8InputSyncControl = 0,
    .bTimerSyncControl = false,
    .bIdleState = true,
    // Tuning  Parameters
    .ui16ProxThreshold = 10,
    .ui16NegativeTouchThreshold = 20,
    .ui16ErrorThreshold = 8191,
    .ui16TimeoutThreshold = 1000,
    .ProxDbThreshold.DbIn = 1,
    .ProxDbThreshold.DbOut = 0,
    .TouchDbThreshold.DbIn = 1,
    .TouchDbThreshold.DbOut = 0,
    .bCountFilterEnable = false,
    .ui8CntBeta = 1,
    .bSensorHalt = false,
    .bPTSensorHalt = true,
    .bPTElementHalt = true,
    .ui8LTABeta = 7,
    .bReCalibrateEnable = false,
};


#if (CAPT_CONDUCTED_NOISE_IMMUNITY_ENABLE==true)
//*****************************************************************************
//
//! \var g_EMCConfig
//! This structure stores the EMC configuration for this application.
//
//*****************************************************************************
const tEMCConfig g_EMCConfig =
{
	// Conversion Style
	.selfModeConversionStyle = eMultiFrequency,
	.projModeConversionStyle = eMultiFrequencyWithOutlierRemoval,
	
	// Oversampling Style
	.selfModeOversamplingStyle = eNoOversampling,
	.projModeOversamplingStyle = eNoOversampling,
	
	// Jitter Filter Enable
	.bJitterFilterEnable = true,
	
	// Noise Thresholds and Calibration Noise Limits
	.ui8NoiseThreshold = 20,
	.ui16CalibrationNoiseLimit = 10,
	.ui8CalibrationTestSampleSize = 8,
		
	// Dynamic Threshold Adjustment Parameters
	.bEnableDynamicThresholdAdjustment = true,
	.ui8MaxRelThreshAdj = 76,
	.ui8NoiseLevelFilterEntryThresh = 40,
	.ui8NoiseLevelFilterExitThresh = 0,
	.ui8NoiseLevelFilterDown = 6,
	.ui8NoiseLevelFilterUp = 1,
	.coeffA = _IQ31(0.0065),
	.coeffB = _IQ31(0.050)
};
#endif

//*****************************************************************************
//
//! \var g_pCaptivateSensorArray
//! This array allows for indexed access to any
//! sensor in the configuration.
//
//*****************************************************************************
tSensor* g_pCaptivateSensorArray[CAPT_SENSOR_COUNT] =
{
    &Buttons,
    &CentralPad,
    &ProxPad,
    &aSlider,
};


//*****************************************************************************
//
//! \var g_uiApp
//! This structure stores the global settings for this application.
//
//*****************************************************************************
tCaptivateApplication g_uiApp =
{
    .state = eUIActive,
	.pSensorList = &g_pCaptivateSensorArray[0],
    .ui8NrOfSensors = CAPT_SENSOR_COUNT,
    .ui8AppLPM = LPM3_bits,
    .bElementDataTxEnable = false,
    .bSensorDataTxEnable = false,
    .ui16ActiveModeScanPeriod = 33,
    .ui16WakeOnProxModeScanPeriod = 200,
    .ui16InactivityTimeout = 33,
    .ui8WakeupInterval = 8,
};
