/* --COPYRIGHT--,BSD
 * Copyright (c) 2015, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
//############################################################################
//
//! \file   hal_uart.h
//!
//! \brief  Driver for the UART
//
//  Target Device:  MSP430FR2633
//
//  Created on: July, 2015
//  Author: a0222599
//  Modified on: Dec. 2015, add UARTA0 for GesturePad support by a0222599
//############################################################################
#ifndef __HAL_UART_H__
#define __HAL_UART_H__

//****************************************************************************
//
// If building with a C++ compiler, make all of the definitions in this header
// have a C binding.
//
//****************************************************************************
#ifdef __cplusplus
extern "C"
{
#endif

//****************************************************************************
//defines
//****************************************************************************

//! \brief UART1 pin
//!
#define UARTA1TXD_PxSEL0    (P2SEL0)
#define UARTA1RXD_PxSEL0    (P2SEL0)
#define UARTA1TXD_PIN       (BIT6)
#define UARTA1RXD_PIN       (BIT5)

//! \brief UART0 pin
//!
#define UARTA0TXD_PxSEL0    (P1SEL0)
#define UARTA0RXD_PxSEL0    (P1SEL0)
#define UARTA0TXD_PIN       (BIT4)
#define UARTA0RXD_PIN       (BIT5)

//****************************************************************************
// the function prototypes
//****************************************************************************

//! \brief         UARTA1 initialize
//! \param[in] N/A
extern void USER_halUARTA1Init(void);

//! \brief         UARTA1 send message
//! \param[in] uint16_t message
extern void USER_halUARTA1SendMessage(uint16_t ui16message);

//****************************************************************************
//
// Mark the end of the C bindings section for C++ compilers.
//
//****************************************************************************
#ifdef __cplusplus
}
#endif

#endif  // end of __HAL_UART_H__ definition
